User Tools

Site Tools


r8187

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
r8187 [2009/10/10 13:24]
darkaudax Updated for rtl8187_2.6.27.patch patch
r8187 [2017/01/09 21:35] (current)
mister_x Mark page as deprecated.
Line 1: Line 1:
 +====== DEPRECATED ======
 +
 +**IMPORTANT NOTE**: This page is deprecated, updated documentation can be found [[install_drivers|here]]
 +
 ====== General ====== ====== General ======
  
Line 18: Line 22:
   cd rtl8187_linux_26.1010.0622.2006/​   cd rtl8187_linux_26.1010.0622.2006/​
   wget http://​patches.aircrack-ng.org/​rtl8187_2.6.27.patch   wget http://​patches.aircrack-ng.org/​rtl8187_2.6.27.patch
 +  wget http://​patches.aircrack-ng.org/​rtl8187_2.6.32.patch
   tar xzf drv.tar.gz   tar xzf drv.tar.gz
   tar xzf stack.tar.gz   tar xzf stack.tar.gz
   patch -Np1 -i rtl8187_2.6.27.patch   patch -Np1 -i rtl8187_2.6.27.patch
 +  patch -Np1 -i rtl8187_2.6.32.patch
   make   make
   make install   make install
Line 302: Line 308:
         #include <​linux/​semaphore.h>​         #include <​linux/​semaphore.h>​
       #endif       #endif
 +
 +
 +===== Will not compile on kerner 2.6.31 or above =====
 +
 +Follow the patching instructions at the top of this page then:
 +
 +   wget http://​github.com/​nopper/​archpwn/​raw/​master/​repo/​lkm-skel/​rtl8187-ng/​rtl8187-ng-2.6.31.patch
 +   patch -Np1 -i rtl8187-ng-2.6.31.patch
 +
 +Then proceed with make/make install.
  
 ====== Limitations ====== ====== Limitations ======
Line 322: Line 338:
 SKA is not currently supported with the RTL8187 driver. There is no known workaround. SKA is not currently supported with the RTL8187 driver. There is no known workaround.
  
 +===== WPA/WPA2 fails in managed mode =====
 +
 +On recent kernels, the patched driver fails to work in normal WPA/WPA2 mode.  In this case, use the patched ieee80211 driver for injection and use the mac80211 version for normal WPA/​WPA2. ​ In order to do this you will have to blacklist the unwanted module based what you plan to use your system for.  IE For injection, blacklist the rtl8187 module. ​ For WPA/WPA2, blacklist the r8187 module.
r8187.1255173873.txt.gz ยท Last modified: 2009/10/10 13:24 by darkaudax